%global base_version 1.9764
Name:            perl-Time-HiRes
Epoch:           4
Version:         1.9767
Release:         2
Summary:         High resolution time, sleep, and alarm for perl
License:         GPL+ or Artistic
URL:             https://metacpan.org/release/Time-HiRes
Source0:         https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Time-HiRes-%{base_version}.tar.gz

Patch6000:       backport-Time-HiRes-1.9764-Upgrade-to-1.9767.patch

BuildRequires:   findutils gcc make perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires:   perl(ExtUtils::Constant) perl(ExtUtils::MakeMaker) >= 6.76 perl(File::Spec) perl(strict)
BuildRequires:   perl(Carp) perl(Exporter) perl(XSLoader)
BuildRequires:   perl(File::Temp) perl(Test::More) perl(POSIX)
Requires:        perl(Carp) perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Implement usleep, ualarm, and gettimeofday for Perl, as well as wrappers
to implement time, sleep, and alarm that know about non-integral seconds.

%package_help

%prep
%autosetup -n Time-HiRes-%{base_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%pre

%preun

%post

%postun

%files
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*

%files help
%{_mandir}/man3/*

%changelog
* Wed Mar 30 2022 liudabo <liudabo1@h-partners.com> - 4:1.9767-2
- Modify Epoch to ensure upgrade continuity

* Tue Dec 28 2021 yuanxin <yuanxin24@huawei.com> - 1:1.9767-1
- update version to 1.9767

* Fri Jan 29 2021 liudabo <liudabo1@huawei.com> - 1:1.9764-1
- upgrade version to 1.9764

* Fri Sep 4 2020 shixuantong<shixuantong@huawei.com> - 1:1.9760-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update Source0

* Fri May 22 2020 shenyangyang<shenyangyang4@huawei.com> - 1:1.9760-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add Epoch for updating

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 1.9760-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec rule in openeuler

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9760-1
- Package init
